// if desktop is locked, save current state and unlock
var was_locked = false;
if (locked) {
    was_locked = true
    locked = false
}

// remove all panels from desktop
pIds = panelIds;
for (i = 0; i < pIds.length; ++i) {
    p = panelById(pIds[i]);
    p.remove();
}

var activity = new Activity
activity.name = i18n("Desktop");
activity.wallpaperPlugin = "image";
activity.wallpaperMode = "SingleImage";
var wallpaper = "kanotix-starrise";
activity.currentConfigGroup = new Array("Wallpaper", "image");
activity.writeConfig("wallpaper", wallpaper);
activity.writeConfig("userswallpaper", wallpaper);

var folderview = activity.addWidget("folderview");
folderview.writeConfig("url", "desktop:/");
var geometry = screenGeometry(activity.screen).height > 800 ? QRectF(0,0,600,400) : QRectF(0,0,405,200);
folderview.writeConfig("geometry", geometry);

var panel = new Panel
panel.location = 'bottom'
panel.height = screenGeometry(panel.screen).height >= 1024 ? 35 : 27;
launcher = panel.addWidget("launcher");
launcher.globalShortcut = "Alt+F1"
launcher.writeConfig("Share", "false");
launcher.writeConfig("icon", "start-here-kanotix");
launcher.reloadConfig();
panel.addWidget("showdesktop");

dolphinIcon = panel.addWidget("icon");
dolphinIcon.writeConfig("Url", applicationPath("dolphin.desktop"));

webbrowserIcon = panel.addWidget("icon");
webbrowserIcon.writeConfig("Url", applicationPath("x-www-browser.desktop"));

konsoleIcon = panel.addWidget("icon");
konsoleIcon.writeConfig("Url", applicationPath("konsole.desktop"));

panel.addWidget("pager")
panel.addWidget("tasks")

systray = panel.addWidget("systemtray");
systray.writeConfig("alwaysShown", "notifier");
i = 0;
if (hasBattery) {
    systray.currentConfigGroup = new Array("Applets", ++i);
    systray.writeConfig("plugin", "battery");
}
systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "notifier");

systray.currentConfigGroup = new Array("Applets", ++i);
systray.writeConfig("plugin", "org.kde.networkmanagement");

clock = panel.addWidget("digital-clock");
clock.writeConfig("showDate", "true");

// lock again, if it was locked before
if (was_locked) {
    locked = true
}
